{% extends 'base.html' %}

{% block content %}
{% include "menu.html" %}
<div class="main-activity">
<div class="container">
    <div class="container-tambah-kegiatan mx-4">
        <h3 class="tambah-font">TAMBAH KEGIATAN</h3>
        <form action="" method="post" class="mt-3 kegiatan-form">
            {{formkegiatan}}
            {% csrf_token %}
            <input type="submit" class="btn btn-light mt-3" value="Tambahkan"> 
        </form>
    </div>

    <div class="container-activity d-flex flex-row flex-wrap">
        {% for kegiatan in data_kegiatan %}
            <div class="card my-5 mx-3 activity-entry" style="width: 18rem;">
                <div class="card-body">
                    <h5 class="card-title">
                        <strong> {{kegiatan.0.nama}} | </strong>
                        <span class="card-text">Peserta : {{kegiatan.1|length}}</span> 
                    </h5>
                    <p class="card-text">Nama</p>
                    
                </div>
                {% for peserta in kegiatan.1 %}
                    <ul class="list-group list-group-flush">
                        <li class="list-group-item">
                            {{peserta.nama}} 
                            <button type="button" onclick="deletePeserta({{peserta.id}})" class="close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </li>
                    </ul>
                {% endfor %}
                <div class="card-body">
                    <button type="button" class="btn btn-light" data-toggle="modal" data-target="#exampleModalCenter" onclick="tambahPeserta('{{kegiatan.0.nama}}',{{kegiatan.0.id}})">Tambah Peserta</button>
                </div>
            </div>
        {% endfor %}
    </div>



    <!--MODAL FOR TAMBAH PESERTA-->
    <div class="modal fade" id="exampleModalCenter" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLongTitle"><strong>Daftar</strong></h5>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                    <p>Kamu akan mendaftar untuk kegiatan <strong><span id="namaKegiatan"></span></strong></p>
                    <!-- Nama Kegiatan : <span id="namaKegiatan"></span> -->
                  <form action="" method="POST" class="mt-3">
                      {% csrf_token %}
                      <input type="hidden" name="id_kegiatan" id="idKegiatan" value="">
                    {{formpeserta}}
                  
                </div>
                <div class="modal-footer">
                  <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
                  <button type="submit" class="btn btn-light">Daftar</button>
                </div>
                </form>
              </div>
            </div>
          </div>


    <form action="" class="d-none" method="post" id="deletePesertaForm">
            {% csrf_token %}
            <input type="hidden" name="delete-peserta" value="" id="deletePeserta">
    </form>
</div>
</div>
<script>
    function tambahPeserta(namaKegiatan, idKegiatan){
        document.getElementById('namaKegiatan').innerHTML=namaKegiatan;
        document.getElementById('idKegiatan').value=idKegiatan;
    }
    
    function deletePeserta(pesertaid){
        document.getElementById('deletePeserta').value = pesertaid;
        document.getElementById('deletePesertaForm').submit();
    }
</script>
{% endblock content %}
